GNU bug report logs - #29858
guix import hackage monadplus fails with a syntax error.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Alex ter Weele <alex.ter.weele@HIDDEN>; merged with #23961; dated Tue, 26 Dec 2017 17:41:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 23961 29858. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 29858 <at> debbugs.gnu.org:


Received: (at 29858) by debbugs.gnu.org; 26 Feb 2018 15:16:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 26 10:16:33 2018
Received: from localhost ([127.0.0.1]:33640 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eqKW1-0000iZ-Gi
	for submit <at> debbugs.gnu.org; Mon, 26 Feb 2018 10:16:33 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:46056)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1eqKVz-0000gH-7u
 for 29858 <at> debbugs.gnu.org; Mon, 26 Feb 2018 10:16:31 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id CC0F611546;
 Mon, 26 Feb 2018 16:16:30 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Ymbb5rgmMYWO; Mon, 26 Feb 2018 16:16:30 +0100 (CET)
Received: from ribbon (unknown [193.50.110.216])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 3CC9D109BD;
 Mon, 26 Feb 2018 16:16:30 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Alex ter Weele <alex.ter.weele@HIDDEN>
Subject: Re: bug#29858: Status: guix import hackage monadplus fails with a
 syntax error.
References: <CAPWBkuZgW5hevpR7YogNwQDw7NzEu2mSQiyib01gs3cFY2Va3Q@HIDDEN>
 <87606lhvun.fsf@HIDDEN>
Date: Mon, 26 Feb 2018 16:16:29 +0100
In-Reply-To: <87606lhvun.fsf@HIDDEN>
 (Alex ter Weele's message of "Sun, 25 Feb 2018 10:34:08 -0600")
Message-ID: <874lm3wzle.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 29858
Cc: bug#29858 <29858 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Alex ter Weele <alex.ter.weele@HIDDEN> skribis:

> This may be closeable because I didn't notice that ghc-monadplus is
> already a package.

For now I=E2=80=99ve merged it with #23961, because it=E2=80=99s really a s=
hortcoming in
the Cabal parser.

Thanks!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#29858; Package guix. Full text available.

Message received at 29858 <at> debbugs.gnu.org:


Received: (at 29858) by debbugs.gnu.org; 25 Feb 2018 16:34:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 25 11:34:18 2018
Received: from localhost ([127.0.0.1]:60595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1epzFi-0003y9-7V
	for submit <at> debbugs.gnu.org; Sun, 25 Feb 2018 11:34:18 -0500
Received: from mail-qk0-f175.google.com ([209.85.220.175]:46667)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex.ter.weele@HIDDEN>) id 1epzFg-0003xx-NM
 for 29858 <at> debbugs.gnu.org; Sun, 25 Feb 2018 11:34:16 -0500
Received: by mail-qk0-f175.google.com with SMTP id 130so11584357qkd.13
 for <29858 <at> debbugs.gnu.org>; Sun, 25 Feb 2018 08:34:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:in-reply-to:message-id:user-agent:mime-version;
 bh=L8qZdR90r1A/byz1GeCTnM4LQ2PvpFK57zWFW+T4F1M=;
 b=ljZssYdSDMHzJhxo9l74emMMSNgfNDlVnIx8sNUwJukQ97Uib/I6Gr6bThAgyWusz2
 d8Rsg+bhPVooCJy04spWJi3LkBgTRA/ubZWO27glttozhHleibq5dYECQ8YgYUPu1h2U
 V/sDUQsNP9viOqLR/cexNI7FOjVosWaaXVrAbmPrWTpgSA206MdHk2VJrxsuhW+SDI+Q
 +U28RAUBf4DKFUWipcAlQ1y4TfpnsZLjrfkqfVfxgp/ET6DL9Qm6qVeYmRtnQG7fuzfs
 VeGblHtEULyDApCUzo43lNaAu9cada6hodxQkMjV/mo+FC4g4jRQI1OfNPpBMuJZDiRO
 r5yw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=L8qZdR90r1A/byz1GeCTnM4LQ2PvpFK57zWFW+T4F1M=;
 b=mBEut5bBdpTBcqWyBKsB/Zrc1fIoV/yPSK+SJYeLlhFIF3QtpzIPtyKn+XMCprNQ3J
 vNodrSwBH3RAqTkoIz1k45R0Qg0MwTy7wcd7GgXxG/dA8WDtICvouyMaH+orCy0DyWe7
 QjRgnbD2cSZXiY/JzLpJbmKQjs7BBRhesufq4MXBfsFtz1oLbY/0i0g+ZV8S50mdy+Bp
 eXGnaEzS4yAErCzXNwBbFbgnxIWzPMbfsmkywA1HnEUKpgAnaZlaWAogq/dmTJRU4XSU
 0uzyWx/pNLgmKI7crZLZZ5/qSg++JU5OE5sObu1F2squdE8/2QzzTuaCJKLTT9MOznek
 uCmg==
X-Gm-Message-State: APf1xPDbmL2VYBRGqbJSNAz0cfTOVW78eaQl/uP92vx4llPwSm8ujnem
 DMgSNVYzvaYZ82B1+sxfgq39k4RuKN8=
X-Google-Smtp-Source: AG47ELsuRSAb2p+b4PLLCtIfE8z0h5eGczl89vp8PBPuAIw2srGJw5yumXfx95/pv5xAg5TgwPC4DQ==
X-Received: by 10.55.136.129 with SMTP id k123mr12212540qkd.296.1519576451146; 
 Sun, 25 Feb 2018 08:34:11 -0800 (PST)
Received: from librem
 (24-148-50-16.s5644.c3-0.mart-ubr1.chi-mart.il.cable.rcncustomer.com.
 [24.148.50.16])
 by smtp.gmail.com with ESMTPSA id o59sm3945819qte.36.2018.02.25.08.34.10
 for <29858 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 25 Feb 2018 08:34:10 -0800 (PST)
From: Alex ter Weele <alex.ter.weele@HIDDEN>
X-Google-Original-From: Alex ter Weele
 <alex@HIDDEN>
To: bug#29858 <29858 <at> debbugs.gnu.org>
Subject: Re: Status: guix import hackage monadplus fails with a syntax error.
Date: Sun, 25 Feb 2018 10:34:08 -0600
In-Reply-To: bug's message of "Sun\, 25 Feb 2018 16\:32\:31 +0000"
Message-ID: <87606lhvun.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 29858
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

This may be closeable because I didn't notice that ghc-monadplus is
already a package.




Information forwarded to bug-guix@HIDDEN:
bug#29858; Package guix. Full text available.

Message received at 29858 <at> debbugs.gnu.org:


Received: (at 29858) by debbugs.gnu.org; 1 Jan 2018 19:11:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 01 14:11:57 2018
Received: from localhost ([127.0.0.1]:60160 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eW5V7-0006Bo-Gz
	for submit <at> debbugs.gnu.org; Mon, 01 Jan 2018 14:11:57 -0500
Received: from mail-it0-f41.google.com ([209.85.214.41]:46436)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex.ter.weele@HIDDEN>) id 1eW5V6-0006BX-Cr
 for 29858 <at> debbugs.gnu.org; Mon, 01 Jan 2018 14:11:56 -0500
Received: by mail-it0-f41.google.com with SMTP id c16so12770435itc.5
 for <29858 <at> debbugs.gnu.org>; Mon, 01 Jan 2018 11:11:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=nmoXhKGeT0Wgz1W7t7mBdGYf/qESBY91Xn43+BHSSWw=;
 b=aWv3J133RZi+ZWq1Duf7iLv3ysGPEoTm+GebCCxANwTvCr9hSbkEG6HGmV2/dehkcT
 BmFQnJ1aZTg3hSjSjCLhteuVxCLwp9Tgo0YlBkxd52Djc0ENeKdAoBRGvoqVk+Qyyc4d
 Kb+PCP0yITWu8k0nXGV5Af82QONBUEI2/OIDqIr1dbluQ2HMFw0hrvqWVg28RauJm6B9
 Z3cAbLAVF6r1To0DO22OhhGTLgbjRv+O12cW9SJWH73LO88XmUMjmy5QkBIaP+1spx+I
 1n47dsTqUfd9wdq3OYzpDojhcXT8i44t9Xcw7m98pBljctv/GCOy4FunWCYYY1+7iRR/
 szYg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=nmoXhKGeT0Wgz1W7t7mBdGYf/qESBY91Xn43+BHSSWw=;
 b=R6yuvy1MlYcIO58I/nrL+4p8H5tpmugthCe8lx/EHMpy9OkqMQlWa3oC1T5tiVPQ7E
 MWwfGWzMPaLgPow0/e+V0YPvSgXBb1tdvObvHnaH2p0UsBvOcn2dIy6fEULESFBhejnk
 7VKN7edHFrbu/98naS/WgMpTlxA9K4ToClZnmPR4PDaKYu4snETLu7l9QIuQlbQkTqeQ
 H5RwO3rg6h0SLPDy5eyAfChxie6aRSIc6al+6E9VZNU3M6ciiBRjJj3Y2yMGiCYRLrwF
 2zHuHBBz7oSrSWJjvhlUGLqSyShBj/VHIV8LgvmCkWfx7pgfdw4UPGf7F3nVnIBK6bl5
 t9hg==
X-Gm-Message-State: AKGB3mIwka90zlsL2yAsTLRLudLgf3ewVx56+UPs8jwIlAgpy8wAXVJW
 guyjQW+yLYY4m+WKk1CaNL8Yehw1
X-Google-Smtp-Source: ACJfBos1Gxz9+lUd1swCeUfSpPS+hgy/CS3YQShllNrRMcLTzlEuRf9wQeD15tdtPxblK2KRe8rbcA==
X-Received: by 10.36.29.65 with SMTP id 62mr58236349itj.27.1514833910401;
 Mon, 01 Jan 2018 11:11:50 -0800 (PST)
Received: from [192.168.10.207]
 (24-148-50-16.s5644.c3-0.mart-ubr1.chi-mart.il.cable.rcncustomer.com.
 [24.148.50.16])
 by smtp.gmail.com with ESMTPSA id m133sm9967977ioa.15.2018.01.01.11.11.48
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 01 Jan 2018 11:11:48 -0800 (PST)
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (1.0)
Subject: Re: bug#29858: guix import hackage monadplus fails with a syntax
 error.
From: Alex ter Weele <alex.ter.weele@HIDDEN>
X-Mailer: iPhone Mail (15C153)
In-Reply-To: <87efn91po1.fsf@HIDDEN>
Date: Mon, 1 Jan 2018 13:11:47 -0600
Content-Transfer-Encoding: 7bit
Message-Id: <045D8F69-754E-49D4-87ED-E89567BD3917@HIDDEN>
References: <CAPWBkuZgW5hevpR7YogNwQDw7NzEu2mSQiyib01gs3cFY2Va3Q@HIDDEN>
 <87efn91po1.fsf@HIDDEN>
To: ludovic courts <ludo@HIDDEN -61b>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 29858
Cc: 29858 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Quite likely. I will have to look into both. Happy new year!




Information forwarded to bug-guix@HIDDEN:
bug#29858; Package guix. Full text available.

Message received at 29858 <at> debbugs.gnu.org:


Received: (at 29858) by debbugs.gnu.org; 1 Jan 2018 16:59:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 01 11:59:00 2018
Received: from localhost ([127.0.0.1]:60071 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eW3QS-0007hJ-Mk
	for submit <at> debbugs.gnu.org; Mon, 01 Jan 2018 11:59:00 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:40552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1eW3QR-0007hB-1T
 for 29858 <at> debbugs.gnu.org; Mon, 01 Jan 2018 11:58:59 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id B9CD9107E8;
 Mon,  1 Jan 2018 17:58:57 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id wZ_nkryluQ13; Mon,  1 Jan 2018 17:58:56 +0100 (CET)
Received: from ribbon (ADijon-655-1-223-225.w90-26.abo.wanadoo.fr
 [90.26.12.225])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 22CCA10780;
 Mon,  1 Jan 2018 17:58:56 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Alex ter Weele <alex.ter.weele@HIDDEN>
Subject: Re: bug#29858: guix import hackage monadplus fails with a syntax
 error.
References: <CAPWBkuZgW5hevpR7YogNwQDw7NzEu2mSQiyib01gs3cFY2Va3Q@HIDDEN>
Date: Mon, 01 Jan 2018 17:58:54 +0100
In-Reply-To: <CAPWBkuZgW5hevpR7YogNwQDw7NzEu2mSQiyib01gs3cFY2Va3Q@HIDDEN>
 (Alex ter Weele's message of "Tue, 26 Dec 2017 12:40:02 -0500")
Message-ID: <87efn91po1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 29858
Cc: 29858 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hi Alex,

Alex ter Weele <alex.ter.weele@HIDDEN> skribis:

> Here is what I tried:
>
>   $ guix import hackage monadplus
>   Syntax error: unexpected end of input
>   guix import: error: failed to download cabal file for package 'monadplu=
s'
>
> I also tried manually downloading the cabal file and importing that:
>
>   $ guix import hackage -s < ~/Downloads/monadplus.cabal
>   Syntax error: unexpected end of input
>   guix import: error: failed to import cabal file from standard input

Could this be a duplicate of <https://bugs.gnu.org/25138>?

Essentially our Cabal parser doesn=E2=80=99t support the full syntax, which=
 is
why some imports fail.  Would be nice to fix!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#29858; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Dec 2017 17:40:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 26 12:40:14 2017
Received: from localhost ([127.0.0.1]:52849 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eTtD4-0002am-8s
	for submit <at> debbugs.gnu.org; Tue, 26 Dec 2017 12:40:14 -0500
Received: from eggs.gnu.org ([208.118.235.92]:38804)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex.ter.weele@HIDDEN>) id 1eTtD2-0002aY-MN
 for submit <at> debbugs.gnu.org; Tue, 26 Dec 2017 12:40:12 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alex.ter.weele@HIDDEN>) id 1eTtCw-0006WC-Nm
 for submit <at> debbugs.gnu.org; Tue, 26 Dec 2017 12:40:07 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35177)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <alex.ter.weele@HIDDEN>)
 id 1eTtCw-0006Vs-Kn
 for submit <at> debbugs.gnu.org; Tue, 26 Dec 2017 12:40:06 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57993)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <alex.ter.weele@HIDDEN>) id 1eTtCv-0006SD-OS
 for bug-guix@HIDDEN; Tue, 26 Dec 2017 12:40:06 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alex.ter.weele@HIDDEN>) id 1eTtCv-0006Uf-0X
 for bug-guix@HIDDEN; Tue, 26 Dec 2017 12:40:05 -0500
Received: from mail-wm0-x22a.google.com ([2a00:1450:400c:c09::22a]:35183)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <alex.ter.weele@HIDDEN>)
 id 1eTtCu-0006Tu-PY
 for bug-guix@HIDDEN; Tue, 26 Dec 2017 12:40:04 -0500
Received: by mail-wm0-x22a.google.com with SMTP id f9so36057906wmh.0
 for <bug-guix@HIDDEN>; Tue, 26 Dec 2017 09:40:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=nlsY+RwukN3PHwo8p9UWfCSpbqRTQnnosmsbS0o4Ges=;
 b=qSBbqeMJzMrs8JyouDeLzIBuFOgSQqrLL7ZyI5lfBcMU2Zf6qU9JX6KzThlDa5lrRN
 5Zq0hS/rJdVBpzomuKKk2mlZHfJQz3/0gemnDy54PNtttnaGf/rdkF4eeeuyV8FZA+vY
 5QM2IECZu2/WRKc5nw1v6rBLnw0JC/pbeY9c0pTq411cRIU39Oja2fo3DYnXBnQdZh19
 2Muq5X+ZcjTtEZ03/I8cFkU7mo6TR4z7GPMjVZDg7hDEOOtgIHLYiG93eGPcKm2NCvIb
 qWoImeyecT0/nfqxa/Ex2u04RSLerRgbqlr3cZ2wU74pzwAXPQnvYHgSOnSaKiXrLqaH
 qqCg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=nlsY+RwukN3PHwo8p9UWfCSpbqRTQnnosmsbS0o4Ges=;
 b=nwY+OL6Uxwt6S30oF0C5penXyVaH53/H+9Ze7ZVdGNJrZi3rVzXBa5sHx3dh6a1Z4t
 /gk6BYby6MZG/L+96h4A9DmUv8kddYI3MAxEqDEH8ytzwUjPletFjcCy87RlY522tNEf
 btHJJgFTqHbsASqa/zrVWa6NuXP4Ysbb2B2s/z3G8C/ox1a1FnArHgX/NpkHACcriLPH
 cRX6EV074eLFvCm3qje/n2NsmJtHnJQ1cRExuDiCQiK7NWzWsSNe9mRhJRW0Q5i+iYTJ
 FGPqCr19La5mJTPJMxorVTxdU2As7NIJeAcFwsJ8PcSV85ZVcQoKd+m3at9WVdPed6k+
 zDOg==
X-Gm-Message-State: AKGB3mKzd5q8y+XuYBUCVJGtRebA/ujOcB3+RPPlkWAiWAceMglDf4Y8
 ovkwu1FiplBpdRykncFcagmqPq9oBIXltEL0FQI=
X-Google-Smtp-Source: ACJfBous4wn1jqIkijwVs9DRE3maxB5aZZkYl+FU+fCw22Pq6Y8IXpXBUjJxcXuBpX5aJxw1yc9jOeRbui7ki9+CZg8=
X-Received: by 10.80.177.1 with SMTP id k1mr32071129edd.41.1514310002902; Tue,
 26 Dec 2017 09:40:02 -0800 (PST)
MIME-Version: 1.0
Received: by 10.80.183.102 with HTTP; Tue, 26 Dec 2017 09:40:02 -0800 (PST)
From: Alex ter Weele <alex.ter.weele@HIDDEN>
Date: Tue, 26 Dec 2017 12:40:02 -0500
Message-ID: <CAPWBkuZgW5hevpR7YogNwQDw7NzEu2mSQiyib01gs3cFY2Va3Q@HIDDEN>
Subject: guix import hackage monadplus fails with a syntax error.
To: bug-guix@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Here is what I tried:

  $ guix import hackage monadplus
  Syntax error: unexpected end of input
  guix import: error: failed to download cabal file for package 'monadplus'

I also tried manually downloading the cabal file and importing that:

  $ guix import hackage -s < ~/Downloads/monadplus.cabal
  Syntax error: unexpected end of input
  guix import: error: failed to import cabal file from standard input




Acknowledgement sent to Alex ter Weele <alex.ter.weele@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#29858; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 26 Feb 2018 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.